This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1264943 - Anaconda hangs at package installation
Anaconda hangs at package installation
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-21 13:14 EDT by Keith Dixon
Modified: 2015-10-21 09:54 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 09:54:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Configuration screen at hang (261.73 KB, image/png)
2015-09-21 13:14 EDT, Keith Dixon
no flags Details
anaconda.log (58.49 KB, text/plain)
2015-09-21 13:20 EDT, Keith Dixon
no flags Details
dnf.log (231.96 KB, text/plain)
2015-09-21 13:21 EDT, Keith Dixon
no flags Details
dnf.rpm.log (49 bytes, text/plain)
2015-09-21 13:22 EDT, Keith Dixon
no flags Details
hawkey.log (1.89 KB, text/plain)
2015-09-21 13:23 EDT, Keith Dixon
no flags Details
ifcfg.log (2.44 KB, text/plain)
2015-09-21 13:24 EDT, Keith Dixon
no flags Details
packaging.log (3.75 KB, text/plain)
2015-09-21 13:24 EDT, Keith Dixon
no flags Details
program.log (112.55 KB, text/plain)
2015-09-21 13:25 EDT, Keith Dixon
no flags Details
storage.log (260.29 KB, text/plain)
2015-09-21 13:25 EDT, Keith Dixon
no flags Details
syslog (104.69 KB, text/plain)
2015-09-21 13:26 EDT, Keith Dixon
no flags Details
X.log (27.16 KB, text/plain)
2015-09-21 13:27 EDT, Keith Dixon
no flags Details
second anaconda.log (72.64 KB, text/plain)
2015-09-22 10:12 EDT, Keith Dixon
no flags Details
second dnf.log (467.59 KB, text/plain)
2015-09-22 10:13 EDT, Keith Dixon
no flags Details
second dnf.rpm.log (128.57 KB, text/plain)
2015-09-22 10:14 EDT, Keith Dixon
no flags Details
second hawkey.log (2.04 KB, text/plain)
2015-09-22 10:15 EDT, Keith Dixon
no flags Details
second ifcfg.log (2.44 KB, text/plain)
2015-09-22 10:16 EDT, Keith Dixon
no flags Details
second packaging.log (217.80 KB, text/plain)
2015-09-22 10:17 EDT, Keith Dixon
no flags Details
second program.log (112.78 KB, text/plain)
2015-09-22 10:18 EDT, Keith Dixon
no flags Details
second storage.log (267.99 KB, text/plain)
2015-09-22 10:19 EDT, Keith Dixon
no flags Details
second syslog (144.45 KB, text/plain)
2015-09-22 10:20 EDT, Keith Dixon
no flags Details
second X.log (27.16 KB, text/plain)
2015-09-22 10:21 EDT, Keith Dixon
no flags Details
dnf.librepo.log (1.99 MB, text/plain)
2015-09-30 09:11 EDT, Keith Dixon
no flags Details
dnf.librepo.log-20150927 (4.61 MB, text/plain)
2015-09-30 09:13 EDT, Keith Dixon
no flags Details

  None (edit)
Description Keith Dixon 2015-09-21 13:14:36 EDT
Created attachment 1075544 [details]
Configuration screen at hang

Description of problem:

I was doing a network install of 'Fedora Workstation', to a UEFI machine, over an existing set of standard partitions which currently hold F20 using the iso, Fedora-Workstation-netinst-x86_64-22.iso.

The process proceeded smoothly, through to the 'Configuration' screen, with all 1926 packages selected downloaded to dnf.package.cache on the home partition. 
Unfortunately, the process did not proceed any further. 
The GUI was still active. The activity indicator was spinning and I could press the 'Help' button and invoke yelp. I could also switch to a root shell prompt and back to the GUI. 
I have uploaded a screenshot of the GUI at this point.

The partitions sda10 (/boot), sda12 (/), sda14 (/var) and sda16 (/tmp) have been reformatted.
sda10 contains:
efi  lost+found
sda12 contains:
boot  dev  etc  home  lost+found  mnt  opt  proc  root  run  sys  tmp  var
/etc contains:
crypttab  fstab  mtab  resolv.conf
with fstab correctly filled out
/mnt contains:
distro
The other directories on sda12 are empty.
sda14 contains:
lost+found
sda16 contains:
lost+found

The partitions sda11 (/mnt/distro), sda15 (/opt) and sda17 (/home) have been left untouched, as intended, with the exception of the packages being written to /home/dnf.package.cache.

I saved /tmp of the installer, which contains:
anaconda.log          dnf.rpm.log     packaging.log       storage.state
anaconda-screenshots  hawkey.log      program.log         syslog
dnf.cache             ifcfg.log       sensitive-info.log  tmux-0
dnf.log               libuser.FJf09c  storage.log         X.log

and have uploaded the log files


Version-Release number of selected component (if applicable):

Fedora-Workstation-netinst-x86_64-22.iso

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 David Shea 2015-09-21 13:15:25 EDT
Please attach the log files /tmp at the time of the hang.
Comment 2 Keith Dixon 2015-09-21 13:20 EDT
Created attachment 1075545 [details]
anaconda.log
Comment 3 Keith Dixon 2015-09-21 13:21 EDT
Created attachment 1075546 [details]
dnf.log
Comment 4 Keith Dixon 2015-09-21 13:22 EDT
Created attachment 1075547 [details]
dnf.rpm.log
Comment 5 Keith Dixon 2015-09-21 13:23 EDT
Created attachment 1075548 [details]
hawkey.log
Comment 6 Keith Dixon 2015-09-21 13:24 EDT
Created attachment 1075549 [details]
ifcfg.log
Comment 7 Keith Dixon 2015-09-21 13:24 EDT
Created attachment 1075550 [details]
packaging.log
Comment 8 Keith Dixon 2015-09-21 13:25 EDT
Created attachment 1075551 [details]
program.log
Comment 9 Keith Dixon 2015-09-21 13:25 EDT
Created attachment 1075552 [details]
storage.log
Comment 10 Keith Dixon 2015-09-21 13:26 EDT
Created attachment 1075553 [details]
syslog
Comment 11 Keith Dixon 2015-09-21 13:27 EDT
Created attachment 1075554 [details]
X.log
Comment 12 David Shea 2015-09-21 16:21:29 EDT
As far as anaconda can tell dnf is still downloading packages, so moving to dnf.
Comment 13 Keith Dixon 2015-09-22 04:32:10 EDT
I reran the installation making the same selections as the original. The downloaded packages were found, and not downloaded again, and the package installation proceeded. Then the following error appeared:

The following error occurred while installing the boot loader. 
The system will not be bootable.
Would you like to ignore this and continue with installation?

failed to remove old efi boot entry. This is most likely a kernel or firmware bug.

I took a screenshot of this and saved /tmp. I can upload the screenshot and log files of this run, if that would be usefull.
After examining the log files in the root shell, I selected 'Yes' and continued with the installation. Contrary to the warning, this resulted in a successful and bootable installation.
Comment 14 David Shea 2015-09-22 09:26:22 EDT
(In reply to Keith Dixon from comment #13)
> I took a screenshot of this and saved /tmp. I can upload the screenshot and
> log files of this run, if that would be usefull.

Yes, please do. The logs in particular, the screenshot isn't necessary.
Comment 15 Keith Dixon 2015-09-22 10:12 EDT
Created attachment 1075853 [details]
second anaconda.log
Comment 16 Keith Dixon 2015-09-22 10:13 EDT
Created attachment 1075854 [details]
second dnf.log
Comment 17 Keith Dixon 2015-09-22 10:14 EDT
Created attachment 1075855 [details]
second dnf.rpm.log
Comment 18 Keith Dixon 2015-09-22 10:15 EDT
Created attachment 1075856 [details]
second hawkey.log
Comment 19 Keith Dixon 2015-09-22 10:16 EDT
Created attachment 1075857 [details]
second ifcfg.log
Comment 20 Keith Dixon 2015-09-22 10:17 EDT
Created attachment 1075858 [details]
second packaging.log
Comment 21 Keith Dixon 2015-09-22 10:18 EDT
Created attachment 1075859 [details]
second program.log
Comment 22 Keith Dixon 2015-09-22 10:19 EDT
Created attachment 1075860 [details]
second storage.log
Comment 23 Keith Dixon 2015-09-22 10:20 EDT
Created attachment 1075861 [details]
second syslog
Comment 24 Keith Dixon 2015-09-22 10:21 EDT
Created attachment 1075862 [details]
second X.log
Comment 25 Honza Silhan 2015-09-30 04:50:49 EDT
Seems like connection issue. Can you attach dnf.librepo.log, please?
Comment 26 Keith Dixon 2015-09-30 09:02:39 EDT
I do not have dnf.librepo.log from the two runs of the installer so I presume you mean /var/log/dnf.librepo.log from the installed system. I am uploading two such files, dnf.librepo.log and dnf.librepo.log-20150927
Comment 27 Keith Dixon 2015-09-30 09:11 EDT
Created attachment 1078639 [details]
dnf.librepo.log
Comment 28 Keith Dixon 2015-09-30 09:13 EDT
Created attachment 1078640 [details]
dnf.librepo.log-20150927
Comment 29 Michal Luscon 2015-10-02 18:30:49 EDT
Unfortunately, we need those logs from installer run. If you are not able to provide a reproducer or logs, we will have to close your report as insufficient_data.
Comment 30 Keith Dixon 2015-10-03 06:01:56 EDT
I suspect that the hang is an intermittent problem, possibly a race condition, and might be difficult to reproduce.

I fired up the installer. At the 'Installation Summary' hub, after the package and group metadata have been downloaded, there is no /var/log/dnf.librepo.log. I presume it is created at a later time when the packages are downloaded.

I refer to:
https://docs.fedoraproject.org/en-US/Fedora/22/html/Installation_Guide/chap-troubleshooting.html#sect-troubleshooting-log-files
May I suggest that dnf.librepo.log is put in /tmp for the Fedora 23 installer. I was unaware of its existence, The documentation states that the log files are in /tmp so I did not think to search the whole filesystem for things that might be log files.

I am happy to have the bug closed as insufficient_data
Comment 31 Brian Lane 2015-10-05 14:12:40 EDT
(In reply to Keith Dixon from comment #30)
> May I suggest that dnf.librepo.log is put in /tmp for the Fedora 23
> installer. I was unaware of its existence, The documentation states that the
> log files are in /tmp so I did not think to search the whole filesystem for
> things that might be log files.

If it is being created it should be in /tmp/, anaconda redirects all the dnf logging to /tmp/ when it configures it.
Comment 32 Keith Dixon 2015-10-05 15:52:42 EDT
I listed the contents of /tmp, at the time of the hang, in my original post. 
In comment 13, I saved /tmp of the second run of the installer at the boot loader installation error. The contents were the same as the original run. 
In comment 30, when I tried the installer again, the contents were the same. There is also no dnf.librepo.log in /var/log/anaconda of the installed system.
It would appear that it is not being created. Perhaps this is diagnostic or a bug in itself.
Comment 33 Jaroslav Mracek 2015-10-21 08:48:07 EDT
We have insufficient data to solve problem. We need dnf.librepo.log that Anaconda support can probably provide.

Note You need to log in before you can comment on or make changes to this bug.